package OnebodyOp.A8;

import com.maxeler.maxcompiler.v1.kernelcompiler.Kernel;
import com.maxeler.maxcompiler.v1.managers.standard.SimulationManager;

public class A8SimRunner {

	public static void main(String[] args) {
		SimulationManager m = new SimulationManager("A8Sim");
		Kernel k = new A8Kernel(m.makeKernelParameters());

		m.setKernel(k);

		m.setInputData("x", 1, 2, 3, 4, 5);
		m.setKernelCycles(5);
		m.runTest();
		m.dumpOutput();
		m.checkOutputData("y", 1, 3, 5, 7, 9);
		m.logMsg("Test passed OK!");
	}

}
